# swagger.api.JobDetailsApi

## Load the API package
```dart
import 'package:swagger/api.dart';
```

All URIs are relative to *https://service.fax-api.de/4.0/rest*

Method | HTTP request | Description
------------- | ------------- | -------------
[**getJob**](JobDetailsApi.md#getJob) | **GET** /jobs/{id} | /jobs/{id}
[**getJobNotifications**](JobDetailsApi.md#getJobNotifications) | **GET** /jobs/{id}/notifications | /jobs/{id}/notifications
[**getJobPreviews**](JobDetailsApi.md#getJobPreviews) | **GET** /jobs/{id}/preview | /jobs/{id}/preview
[**getJobRecipients**](JobDetailsApi.md#getJobRecipients) | **GET** /jobs/{id}/recipients | /jobs/{id}/recipients
[**getJobTemplates**](JobDetailsApi.md#getJobTemplates) | **GET** /jobs/{id}/templates | /jobs/{id}/templates
[**putJob**](JobDetailsApi.md#putJob) | **PUT** /jobs/{id} | /jobs/{id}

# **getJob**
> Job getJob(id)

/jobs/{id}

Description: Obtain information of a specific job

### Example
```dart
import 'package:swagger/api.dart';
// TODO Configure API key authorization: ApiAuthKey
//swagger.api.Configuration.apiKey{'X-Auth-Token'} = 'YOUR_API_KEY';
// uncomment below to setup prefix (e.g. Bearer) for API key, if needed
//swagger.api.Configuration.apiKeyPrefix{'X-Auth-Token'} = "Bearer";

var api_instance = new JobDetailsApi();
var id = id_example; // String | Identification number (UUID) of the job

try {
    var result = api_instance.getJob(id);
    print(result);
} catch (e) {
    print("Exception when calling JobDetailsApi->getJob: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| Identification number (UUID) of the job | 

### Return type

[**Job**](Job.md)

### Authorization

[ApiAuthKey](../README.md#ApiAuthKey)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **getJobNotifications**
> Notifications getJobNotifications(id)

/jobs/{id}/notifications

Description: To obtain a list of notifications to a specific job

### Example
```dart
import 'package:swagger/api.dart';
// TODO Configure API key authorization: ApiAuthKey
//swagger.api.Configuration.apiKey{'X-Auth-Token'} = 'YOUR_API_KEY';
// uncomment below to setup prefix (e.g. Bearer) for API key, if needed
//swagger.api.Configuration.apiKeyPrefix{'X-Auth-Token'} = "Bearer";

var api_instance = new JobDetailsApi();
var id = id_example; // String | Identification number (UUID) of the job

try {
    var result = api_instance.getJobNotifications(id);
    print(result);
} catch (e) {
    print("Exception when calling JobDetailsApi->getJobNotifications: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| Identification number (UUID) of the job | 

### Return type

[**Notifications**](Notifications.md)

### Authorization

[ApiAuthKey](../README.md#ApiAuthKey)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **getJobPreviews**
> Preview getJobPreviews(id)

/jobs/{id}/preview

Description: To obtain the preview pdf document of a specific job

### Example
```dart
import 'package:swagger/api.dart';
// TODO Configure API key authorization: ApiAuthKey
//swagger.api.Configuration.apiKey{'X-Auth-Token'} = 'YOUR_API_KEY';
// uncomment below to setup prefix (e.g. Bearer) for API key, if needed
//swagger.api.Configuration.apiKeyPrefix{'X-Auth-Token'} = "Bearer";

var api_instance = new JobDetailsApi();
var id = id_example; // String | Identification number (UUID) of the job

try {
    var result = api_instance.getJobPreviews(id);
    print(result);
} catch (e) {
    print("Exception when calling JobDetailsApi->getJobPreviews: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| Identification number (UUID) of the job | 

### Return type

[**Preview**](Preview.md)

### Authorization

[ApiAuthKey](../README.md#ApiAuthKey)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **getJobRecipients**
> JobRecipients getJobRecipients(id, objectLimit, objectOffset, filterFaxNumber, filterFaxNumberNorm, filterRecipientReference, filterInternationalDialingCode, filterResultCode, filterResultText, sortField, sortOrder)

/jobs/{id}/recipients

Description: Resource to obtain a list of recipients to a specific job

### Example
```dart
import 'package:swagger/api.dart';
// TODO Configure API key authorization: ApiAuthKey
//swagger.api.Configuration.apiKey{'X-Auth-Token'} = 'YOUR_API_KEY';
// uncomment below to setup prefix (e.g. Bearer) for API key, if needed
//swagger.api.Configuration.apiKeyPrefix{'X-Auth-Token'} = "Bearer";

var api_instance = new JobDetailsApi();
var id = id_example; // String | Identification number (UUID) of the job
var objectLimit = 56; // int | Query parameter to change de default limitation of objects in the result data array
var objectOffset = 56; // int | Query parameter to change de default offset of objects in the result data array
var filterFaxNumber = filterFaxNumber_example; // String | Query parameter to fetch recipients after his fax number
var filterFaxNumberNorm = filterFaxNumberNorm_example; // String | Query parameter to fetch recipients after his normed fax number
var filterRecipientReference = filterRecipientReference_example; // String | Query parameter to fetch recipients after his recipient reference
var filterInternationalDialingCode = filterInternationalDialingCode_example; // String | Query parameter to fetch recipients after his international dialing code
var filterResultCode = filterResultCode_example; // String | Query parameter to fetch recipients after his result code
var filterResultText = filterResultText_example; // String | Query parameter to fetch recipients after his result text
var sortField = sortField_example; // String | Available sort options for the result data array.
var sortOrder = sortOrder_example; // String | Describes the order for used sort fields

try {
    var result = api_instance.getJobRecipients(id, objectLimit, objectOffset, filterFaxNumber, filterFaxNumberNorm, filterRecipientReference, filterInternationalDialingCode, filterResultCode, filterResultText, sortField, sortOrder);
    print(result);
} catch (e) {
    print("Exception when calling JobDetailsApi->getJobRecipients: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| Identification number (UUID) of the job | 
 **objectLimit** | **int**| Query parameter to change de default limitation of objects in the result data array | [optional] [default to 100]
 **objectOffset** | **int**| Query parameter to change de default offset of objects in the result data array | [optional] [default to 0]
 **filterFaxNumber** | **String**| Query parameter to fetch recipients after his fax number | [optional] 
 **filterFaxNumberNorm** | **String**| Query parameter to fetch recipients after his normed fax number | [optional] 
 **filterRecipientReference** | **String**| Query parameter to fetch recipients after his recipient reference | [optional] 
 **filterInternationalDialingCode** | **String**| Query parameter to fetch recipients after his international dialing code | [optional] 
 **filterResultCode** | **String**| Query parameter to fetch recipients after his result code | [optional] 
 **filterResultText** | **String**| Query parameter to fetch recipients after his result text | [optional] 
 **sortField** | **String**| Available sort options for the result data array. | [optional] 
 **sortOrder** | **String**| Describes the order for used sort fields | [optional] [default to asc]

### Return type

[**JobRecipients**](JobRecipients.md)

### Authorization

[ApiAuthKey](../README.md#ApiAuthKey)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **getJobTemplates**
> Templates getJobTemplates(id)

/jobs/{id}/templates

Description: To obtain a list of template documents to a specific job

### Example
```dart
import 'package:swagger/api.dart';
// TODO Configure API key authorization: ApiAuthKey
//swagger.api.Configuration.apiKey{'X-Auth-Token'} = 'YOUR_API_KEY';
// uncomment below to setup prefix (e.g. Bearer) for API key, if needed
//swagger.api.Configuration.apiKeyPrefix{'X-Auth-Token'} = "Bearer";

var api_instance = new JobDetailsApi();
var id = id_example; // String | Identification number (UUID) of the job

try {
    var result = api_instance.getJobTemplates(id);
    print(result);
} catch (e) {
    print("Exception when calling JobDetailsApi->getJobTemplates: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| Identification number (UUID) of the job | 

### Return type

[**Templates**](Templates.md)

### Authorization

[ApiAuthKey](../README.md#ApiAuthKey)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **putJob**
> Job putJob(body, id)

/jobs/{id}

Description: Control the transmission of the specific job

### Example
```dart
import 'package:swagger/api.dart';
// TODO Configure API key authorization: ApiAuthKey
//swagger.api.Configuration.apiKey{'X-Auth-Token'} = 'YOUR_API_KEY';
// uncomment below to setup prefix (e.g. Bearer) for API key, if needed
//swagger.api.Configuration.apiKeyPrefix{'X-Auth-Token'} = "Bearer";

var api_instance = new JobDetailsApi();
var body = new JobsIdBody(); // JobsIdBody | Describes the required request body to perform an action on the fax job
var id = id_example; // String | Identification number (UUID) of the job

try {
    var result = api_instance.putJob(body, id);
    print(result);
} catch (e) {
    print("Exception when calling JobDetailsApi->putJob: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **body** | [**JobsIdBody**](JobsIdBody.md)| Describes the required request body to perform an action on the fax job | 
 **id** | **String**| Identification number (UUID) of the job | 

### Return type

[**Job**](Job.md)

### Authorization

[ApiAuthKey](../README.md#ApiAuthKey)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

