part of swagger.api;

class ErrorAuthenticationResponse {
  /* Error code number. Please see here for further information: <a href=\"https://hilfe.faxverteiler.com/ergebnis-code/\"><b>https://hilfe.faxverteiler.com/ergebnis-code/</b></a> */
  int code = null;
/* Short error description */
  String title = null;
/* HTTP error code */
  int status = null;
/* Detailed error description */
  String detail = null;
/* A URI reference that identifies the specific occurrence of the problem */
  String instance = null;

  ErrorAuthenticationResponse();

  @override
  String toString() {
    return 'ErrorAuthenticationResponse[code=$code, title=$title, status=$status, detail=$detail, instance=$instance, ]';
  }

  ErrorAuthenticationResponse.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    code = json['code'];
    title = json['title'];
    status = json['status'];
    detail = json['detail'];
    instance = json['instance'];
  }

  Map<String, dynamic> toJson() {
    return {
      'code': code,
      'title': title,
      'status': status,
      'detail': detail,
      'instance': instance
     };
  }

  static List<ErrorAuthenticationResponse> listFromJson(List<dynamic> json) {
    return json == null ? new List<ErrorAuthenticationResponse>() : json.map((value) => new ErrorAuthenticationResponse.fromJson(value)).toList();
  }

  static Map<String, ErrorAuthenticationResponse> mapFromJson(Map<String, Map<String, dynamic>> json) {
    var map = new Map<String, ErrorAuthenticationResponse>();
    if (json != null && json.length > 0) {
      json.forEach((String key, Map<String, dynamic> value) => map[key] = new ErrorAuthenticationResponse.fromJson(value));
    }
    return map;
  }
}
