part of swagger.api;

class Jobs {
  /* Number of fetched fax jobs in total based on the used filter. Number can be different form count if object limit is smaller than total. */
  int total = null;
/* Offset used in the query */
  int offset = null;
/* Number of fetched fax jobs in the sent data array. Number can be different form total if object limit is smaller. */
  int count = null;
/* Array of fetched jobs */
  List<Job> data = [];

  Jobs();

  @override
  String toString() {
    return 'Jobs[total=$total, offset=$offset, count=$count, data=$data, ]';
  }

  Jobs.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    total = json['total'];
    offset = json['offset'];
    count = json['count'];
    data = Job.listFromJson(json['data']);
  }

  Map<String, dynamic> toJson() {
    return {
      'total': total,
      'offset': offset,
      'count': count,
      'data': data
     };
  }

  static List<Jobs> listFromJson(List<dynamic> json) {
    return json == null ? new List<Jobs>() : json.map((value) => new Jobs.fromJson(value)).toList();
  }

  static Map<String, Jobs> mapFromJson(Map<String, Map<String, dynamic>> json) {
    var map = new Map<String, Jobs>();
    if (json != null && json.length > 0) {
      json.forEach((String key, Map<String, dynamic> value) => map[key] = new Jobs.fromJson(value));
    }
    return map;
  }
}
